Bug 871864 - [TEXT] The logs of AddNetworkCommand's CanDoAction have wrong and missing data
[TEXT] The logs of AddNetworkCommand's CanDoAction have wrong and missing data
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: lpeer
Meni Yakove
network
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-10-31 11:11 EDT by Rami Vaknin
Modified: 2016-02-10 14:58 EST (History)
8 users (show)

See Also:
Fixed In Version: sf6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
engine.log (378.55 KB, application/x-tar)
2012-10-31 11:12 EDT, Rami Vaknin
no flags Details

  None (edit)
Description Rami Vaknin 2012-10-31 11:11:34 EDT
Version:
si22

Scenario:
1. Attach cluster's vlan-networks into a host nic, try that with wrong vlan number (4096 for instance) and try to add the same vlan-network to the same nic twice.

Results:
The following CanDoAction failures appear:

1. The following log is missing the vlan id, in addition, it says that the lowest acceptible vlan id is 2 while in practice it accepts vlan 0 and vlan 1 too.

2012-10-24 15:12:35,435 WARN  [org.ovirt.engine.core.bll.storage.AddNetworkCommand] (ajp-/127.0.0.1:8702-12) [5b57f329] CanDoAction of action AddNetwork failed. Reasons:VAR__ACT
ION__ADD,VAR__TYPE__NETWORK,NETWORK_VLAN_OUT_OF_RANGE
2012-10-24 15:12:35,446 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-12) Operation Failed: [VLAN ID must be a number between 2 and 4905]


2. The following log is missing the vlan id.

2012-10-24 15:16:12,427 WARN  [org.ovirt.engine.core.bll.storage.AddNetworkCommand] (ajp-/127.0.0.1:8702-15) [62781f9c] CanDoAction of action AddNetwork failed. Reasons:VAR__ACTION__ADD,VAR__TYPE__NETWORK,NETWORK_VLAN_IN_USE
2012-10-24 15:16:12,427 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-15) Operation Failed: [The specified VLAN ID is already in use.]
Comment 1 Rami Vaknin 2012-10-31 11:12:48 EDT
Created attachment 636167 [details]
engine.log
Comment 3 Muli Salem 2012-11-18 10:50:00 EST
Proposed fix in:

http://gerrit.ovirt.org/#/c/9311/
Comment 4 Meni Yakove 2013-02-07 05:09:30 EST
Verified on rhevm-3.2.0-7.el6ev.noarch
Comment 6 Itamar Heim 2013-06-11 04:21:32 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:24:21 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.